Support » Plugin: Slideshow » [Plugin: Slideshow] Warnings and can't create a slideshow (v1.3.0)

  • Resolved peredur

    (@peredur)


    I’ve successfully used v1.3.0 on a test machine, but when I try to implement it on my client’s host, I get the following warnings in the Slideshow Style panel:

    Warning: file_get_contents() [function.file-get-contents]: URL file-access is disabled in the server configuration in /homepages/20/d420449283/htdocs/sarah/wp-content/plugins/slideshow-jquery-image-gallery/classes/SlideshowPostType.php on line 182

    Warning: file_get_contents(http://www.urbanwords.org.uk/sarah/wp-content/plugins/slideshow-jquery-image-gallery/style/Slideshow/style-dark.css) [function.file-get-contents]: failed to open stream: no suitable wrapper could be found in /homepages/20/d420449283/htdocs/sarah/wp-content/plugins/slideshow-jquery-image-gallery/classes/SlideshowPostType.php on line 182

    I also can’t attach images to a slideshow. The radio button for a slideshow does not appear. I guess the warnings may have something to do with this.

    Cheers

    PAE

    http://wordpress.org/extend/plugins/slideshow-jquery-image-gallery/

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Stefan Boonstra

    (@stefanboonstra)

    Hi PAE,

    Your client’s host has disabled the ‘file_get_contents’ function, which is used by plugin to load the presets for the custom style sheets.

    I have added a check for the presence of this function and released it in a quick-fix version 1.3.1.

    By the way, since version 1.3.0 the slides list provides a media button to simplify adding images to your slideshow. It’s a lot faster than having to add images by attaching them from the media page.

    I hope this solves your problem.

    Stefan

    Once again, Stefan, I’m well in your debt.

    Thank you.

    PAE

    Sorry, Stefan. 1.3.1 gives the same error — both when I updated and when I completely removed and reinstalled.

    Cheers

    PAE

    Plugin Author Stefan Boonstra

    (@stefanboonstra)

    Hi PAE,

    I was able to reproduce your problem by adjusting my server settings and have solved the issue with version 1.3.2.

    Regards,
    Stefan

    Thanks very much Stefan.

    I’m really sorry to have been a nuisance over this. I look forward to the update to 1.3.2. I have raised a support call with my client’s host, but haven’t had a response yet.

    Hope I haven’t been too much of a pain in the neck to you.

    Cheers

    PAE

    Plugin Author Stefan Boonstra

    (@stefanboonstra)

    Not at all, I think this was a very important issue to be aware of and fix. I want this plugin to work for anyone who can run a WordPress website.

    Just to confirm that 1.3.2 works beautifully. I still get the thick black line down the right hand side, but it disappears if I use the ‘Transparent’ background.

    Many thanks.

    PAE

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘[Plugin: Slideshow] Warnings and can't create a slideshow (v1.3.0)’ is closed to new replies.